Subject: RE: node-local mc & the API

From: Richard Draves <[email-masked]>
Date: Wed, 1 Sep 1999 16:06:42 -0700

> From: Francis Dupont [mailto:[email-masked]]
>    Does the API require/allow any special restrictions on 
> node-local multicast
>    addresses. For example, can an implementation require that 
> node-local
>    multicast addresses only be assigned to a loopback interface?
>    
> => I don't understand what you means by "assigned".
> Do you suggest a JOIN can be done only on a loopback interface if
> the multicast address is a node-local one?

I'm not promoting any particular position (at least not yet), I'm just
trying to figure out the semantics of node-local multicast addresses in the
API so I can implement them properly.

Many implementations have the concept of a loopback interface.

So when an application does IPV6_JOIN_GROUP, and ipv6mr_multiaddr is
node-local, can ipv6mr_interface specify a loopback interface? Can it
specify a non-loopback interface?

> From: Brian Haberman [mailto:[email-masked]]
> > How do node-local multicast addresses interact with the 
> IPV6_MULTICAST_LOOP
> > option? If the option is set to disallow loopback, I assume 
> that means
> > transmissions will get dropped in the bit bucket?
> 
>      I was under the impression that node-local multicast does not
> really
> follow the same loopback conventions as other multicast addresses do. 
> The
> reason is that the packet addressed is not meant to leave the 
> box so if
> anything in the node is "joined" to the group, it will get 
> the packet. 
> I
> suppose that you could look at it as when an app joins to that
> node-local
> address, the loopback state is automatically enabled.

It makes more sense to me that IPV6_MULTICAST_LOOP apply uniformly to all
scopes of multicast addresses.

Rich
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------